### Hierarchy

- CharacterData
  - Comment

## Index

### Properties

- ATTRIBUTE_NODE
- CDATA_SECTION_NODE
- COMMENT_NODE
- CharacterData
- DOCUMENT_FRAGMENT_NODE
- DOCUMENT_NODE
- DOCUMENT_POSITION_CONTAINED_BY
- DOCUMENT_POSITION_CONTAINS
- DOCUMENT_POSITION_DISCONNECTED
- DOCUMENT_POSITION_FOLLOWING
- DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC
- DOCUMENT_POSITION_PRECEDING
- DOCUMENT_TYPE_NODE
- ELEMENT_NODE
- ENTITY_NODE
- ENTITY_REFERENCE_NODE
- NOTATION_NODE
- PROCESSING_INSTRUCTION_NODE
- TEXT_NODE
- baseURI
- childNodes
- data
- firstChild
- isConnected
- lastChild
- length
- namespaceURI
- nextElementSibling
- nextSibling
- nodeName
- nodeType
- nodeValue
- ownerDocument
- parentElement
- parentNode
- previousElementSibling
- previousSibling
- textContent

### Methods

- addEventListener
- after
- appendChild
- appendData
- before
- cloneNode
- compareDocumentPosition
- contains
- deleteData
- dispatchEvent
- getRootNode
- hasChildNodes
- insertBefore
- insertData
- isDefaultNamespace
- isEqualNode
- isSameNode
- lookupNamespaceURI
- lookupPrefix
- normalize
- remove
- removeChild
- removeEventListener
- replaceChild
- replaceData
- replaceWith
- substringData

## Properties

### ATTRIBUTE_NODE

ATTRIBUTE_NODE: number

Inherited from Node.ATTRIBUTE_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10484

### CDATA_SECTION_NODE

CDATA_SECTION_NODE: number

Inherited from Node.CDATA_SECTION_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10485

### COMMENT_NODE

COMMENT_NODE: number

Inherited from Node.COMMENT_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10486

### CharacterData

CharacterData: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3185

#### Type declaration

- ##### constructor: function

  - new __type(): CharacterData
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3186

    #### Returns CharacterData

- ##### prototype: CharacterData

### DOCUMENT_FRAGMENT_NODE

DOCUMENT_FRAGMENT_NODE: number

Inherited from Node.DOCUMENT_FRAGMENT_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10487

### DOCUMENT_NODE

DOCUMENT_NODE: number

Inherited from Node.DOCUMENT_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10488

### DOCUMENT_POSITION_CONTAINED_BY

DOCUMENT_POSITION_CONTAINED_BY: number

Inherited from Node.DOCUMENT_POSITION_CONTAINED_BY

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10489

### DOCUMENT_POSITION_CONTAINS

DOCUMENT_POSITION_CONTAINS: number

Inherited from Node.DOCUMENT_POSITION_CONTAINS

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10490

### DOCUMENT_POSITION_DISCONNECTED

DOCUMENT_POSITION_DISCONNECTED: number

Inherited from Node.DOCUMENT_POSITION_DISCONNECTED

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10491

### DOCUMENT_POSITION_FOLLOWING

DOCUMENT_POSITION_FOLLOWING: number

Inherited from Node.DOCUMENT_POSITION_FOLLOWING

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10492

### DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC

DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number

Inherited from Node.DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10493

### DOCUMENT_POSITION_PRECEDING

DOCUMENT_POSITION_PRECEDING: number

Inherited from Node.DOCUMENT_POSITION_PRECEDING

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10494

### DOCUMENT_TYPE_NODE

DOCUMENT_TYPE_NODE: number

Inherited from Node.DOCUMENT_TYPE_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10495

### ELEMENT_NODE

ELEMENT_NODE: number

Inherited from Node.ELEMENT_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10496

### ENTITY_NODE

ENTITY_NODE: number

Inherited from Node.ENTITY_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10497

### ENTITY_REFERENCE_NODE

ENTITY_REFERENCE_NODE: number

Inherited from Node.ENTITY_REFERENCE_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10498

### NOTATION_NODE

NOTATION_NODE: number

Inherited from Node.NOTATION_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10499

### PROCESSING_INSTRUCTION_NODE

PROCESSING_INSTRUCTION_NODE: number

Inherited from Node.PROCESSING_INSTRUCTION_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10500

### TEXT_NODE

TEXT_NODE: number

Inherited from Node.TEXT_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10501

### baseURI

baseURI: string

Inherited from Node.baseURI

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10385

Returns node's node document's document base URL.

### childNodes

childNodes: NodeListOf<ChildNode>

Inherited from Node.childNodes

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10389

Returns the children.

### data

data: string

Inherited from CharacterData.data

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3176

### firstChild

firstChild: ChildNode | null

Inherited from Node.firstChild

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10393

Returns the first child.

### isConnected

isConnected: boolean

Inherited from Node.isConnected

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10397

Returns true if node is connected and false otherwise.

### lastChild

lastChild: ChildNode | null

Inherited from Node.lastChild

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10401

Returns the last child.

### length

length: number

Inherited from CharacterData.length

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3177

### namespaceURI

namespaceURI: string | null

Inherited from Node.namespaceURI

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10403

deprecated

### nextElementSibling

nextElementSibling: Element | null

Inherited from NonDocumentTypeChildNode.nextElementSibling

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10615

Returns the first following sibling that is an element, and null otherwise.

### nextSibling

nextSibling: Node | null

Inherited from Node.nextSibling

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10407

Returns the next sibling.

### nodeName

nodeName: string

Inherited from Node.nodeName

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10430

Returns a string appropriate for the type of node, as follows: Element Its HTML-uppercased qualified name. Attr Its qualified name. Text "#text". CDATASection "#cdata-section". ProcessingInstruction Its target. Comment "#comment". Document "#document". DocumentType Its name. DocumentFragment "#document-fragment".

### nodeType

nodeType: number

Inherited from Node.nodeType

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10431

### nodeValue

nodeValue: string | null

Inherited from Node.nodeValue

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10432

### ownerDocument

ownerDocument: Document | null

Inherited from Node.ownerDocument

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10437

Returns the node document. Returns null for documents.

### parentElement

parentElement: HTMLElement | null

Inherited from Node.parentElement

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10441

Returns the parent element.

### parentNode

parentNode: Node & ParentNode | null

Inherited from Node.parentNode

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10445

Returns the parent.

### previousElementSibling

previousElementSibling: Element | null

Inherited from NonDocumentTypeChildNode.previousElementSibling

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10620

Returns the first preceding sibling that is an element, and null otherwise.

### previousSibling

previousSibling: Node | null

Inherited from Node.previousSibling

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10449

Returns the previous sibling.

### textContent

textContent: string | null

Inherited from Node.textContent

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10450

## Methods

### addEventListener

- addEventListener(type: string, listener: EventListenerOrEventListenerObject | null, options?: boolean | AddEventListenerOptions): void

- Inherited from EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5069

  Appends an event listener for events whose type attribute value is type. The callback argument sets the callback that will be invoked when the event is dispatched. The options argument sets listener-specific options. For compatibility this can be a boolean, in which case the method behaves exactly as if the value was specified as options's capture. When set to true, options's capture prevents callback from being invoked when the event's eventPhase attribute value is BUBBLING_PHASE. When false (or not present), callback will not be invoked when event's eventPhase attribute value is CAPTURING_PHASE. Either way, callback will be invoked if event's eventPhase attribute value is AT_TARGET. When set to true, options's passive indicates that the callback will not cancel the event by invoking preventDefault(). This is used to enable performance optimizations described in §2.8 Observing event listeners. When set to true, options's once indicates that the callback will only be invoked once after which the event listener will be removed. The event listener is appended to target's event listener list and is not appended if it has the same type, callback, and capture.

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject | null

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### after

- after(...nodes: (string | Node)[]): void

- Inherited from ChildNode.after

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3196

  Inserts nodes just after node, while replacing strings in nodes with equivalent Text nodes. Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

  #### Parameters

  - ##### Rest ...nodes: (string | Node)[]

  #### Returns void

### appendChild

- appendChild<T>(newChild: T): T

- Inherited from Node.appendChild

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10451

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: T

  #### Returns T

### appendData

- appendData(data: string): void

- Inherited from CharacterData.appendData

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3178

  #### Parameters

  - ##### data: string

  #### Returns void

### before

- before(...nodes: (string | Node)[]): void

- Inherited from ChildNode.before

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3202

  Inserts nodes just before node, while replacing strings in nodes with equivalent Text nodes. Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

  #### Parameters

  - ##### Rest ...nodes: (string | Node)[]

  #### Returns void

### cloneNode

- cloneNode(deep?: undefined | false | true): Node

- Inherited from Node.cloneNode

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10455

  Returns a copy of node. If deep is true, the copy also includes the node's descendants.

  #### Parameters

  - ##### Optional deep: undefined | false | true

  #### Returns Node

### compareDocumentPosition

- compareDocumentPosition(other: Node): number

- Inherited from Node.compareDocumentPosition

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10456

  #### Parameters

  - ##### other: Node

  #### Returns number

### contains

- contains(other: Node | null): boolean

- Inherited from Node.contains

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10460

  Returns true if other is an inclusive descendant of node, and false otherwise.

  #### Parameters

  - ##### other: Node | null

  #### Returns boolean

### deleteData

- deleteData(offset: number, count: number): void

- Inherited from CharacterData.deleteData

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3179

  #### Parameters

  - ##### offset: number

  - ##### count: number

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### getRootNode

- getRootNode(options?: GetRootNodeOptions): Node

- Inherited from Node.getRootNode

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10464

  Returns node's shadow-including root.

  #### Parameters

  - ##### Optional options: GetRootNodeOptions

  #### Returns Node

### hasChildNodes

- hasChildNodes(): boolean

- Inherited from Node.hasChildNodes

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10468

  Returns whether node has children.

  #### Returns boolean

### insertBefore

- insertBefore<T>(newChild: T, refChild: Node | null): T

- Inherited from Node.insertBefore

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10469

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: T

  - ##### refChild: Node | null

  #### Returns T

### insertData

- insertData(offset: number, data: string): void

- Inherited from CharacterData.insertData

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3180

  #### Parameters

  - ##### offset: number

  - ##### data: string

  #### Returns void

### isDefaultNamespace

- isDefaultNamespace(namespace: string | null): boolean

- Inherited from Node.isDefaultNamespace

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10470

  #### Parameters

  - ##### namespace: string | null

  #### Returns boolean

### isEqualNode

- isEqualNode(otherNode: Node | null): boolean

- Inherited from Node.isEqualNode

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10474

  Returns whether node and otherNode have the same properties.

  #### Parameters

  - ##### otherNode: Node | null

  #### Returns boolean

### isSameNode

- isSameNode(otherNode: Node | null): boolean

- Inherited from Node.isSameNode

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10475

  #### Parameters

  - ##### otherNode: Node | null

  #### Returns boolean

### lookupNamespaceURI

- lookupNamespaceURI(prefix: string | null): string | null

- Inherited from Node.lookupNamespaceURI

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10476

  #### Parameters

  - ##### prefix: string | null

  #### Returns string | null

### lookupPrefix

- lookupPrefix(namespace: string | null): string | null

- Inherited from Node.lookupPrefix

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10477

  #### Parameters

  - ##### namespace: string | null

  #### Returns string | null

### normalize

- normalize(): void

- Inherited from Node.normalize

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10481

  Removes empty exclusive Text nodes and concatenates the data of remaining contiguous exclusive Text nodes into the first of their nodes.

  #### Returns void

### remove

- remove(): void

- Inherited from ChildNode.remove

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3206

  Removes node.

  #### Returns void

### removeChild

- removeChild<T>(oldChild: T): T

- Inherited from Node.removeChild

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10482

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### oldChild: T

  #### Returns T

### removeEventListener

- removeEventListener(type: string, callback: EventListenerOrEventListenerObject | null, options?: EventListenerOptions | boolean): void

- Inherited from EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5078

  Removes the event listener in target's event listener list with the same type, callback, and options.

  #### Parameters

  - ##### type: string

  - ##### callback: EventListenerOrEventListenerObject | null

  - ##### Optional options: EventListenerOptions | boolean

  #### Returns void

### replaceChild

- replaceChild<T>(newChild: Node, oldChild: T): T

- Inherited from Node.replaceChild

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10483

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: Node

  - ##### oldChild: T

  #### Returns T

### replaceData

- replaceData(offset: number, count: number, data: string): void

- Inherited from CharacterData.replaceData

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3181

  #### Parameters

  - ##### offset: number

  - ##### count: number

  - ##### data: string

  #### Returns void

### replaceWith

- replaceWith(...nodes: (string | Node)[]): void

- Inherited from ChildNode.replaceWith

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3212

  Replaces node with nodes, while replacing strings in nodes with equivalent Text nodes. Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

  #### Parameters

  - ##### Rest ...nodes: (string | Node)[]

  #### Returns void

### substringData

- substringData(offset: number, count: number): string

- Inherited from CharacterData.substringData

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3182

  #### Parameters

  - ##### offset: number

  - ##### count: number

  #### Returns string

Generated using TypeDoc